Son CURL ve WHM açık SSL yükseltme

Sorun:
e-ticaret sağlayıcıları Paypal gibi daha kesin SSL gereksinimleri tanıttı. Ex:
“OpenSSL gerektirir >= 1.0.1 sunucunuzda yüklü olması”

PHP bilgi gösterir:
CURL
SSL sürüm OpenSSL/1.0.0

Düzeltme:

  • En son CURL yüklemek:

cd / usr / local / src
wget https://cURL.haxx.se/Download/cURL-7.52.1.tar.gz
tar xvzf - curl-7.52.1.tar.gz
CD curl *

./yapılandırmak –olanaklı kılmak-dişli-çözümleyici –olanaklı kılmak-http –olanaklı kılmak-ftp –etkinleştirme proxy –olanaklı kılmak-tftp –Enable ntlm –etkinleştir statik –ssl ile = / usr/yerel/ssl –olanaklı kılmak-IPv6 –etkinleştirmek paylaştı –libidn ile
yapmak && make install

/usr/yerel/bin/curl –Sürüm

  • Kullanmak için PHP yapılandırma-bu içeriği ile yeni bir dosya /var/cpanel/easy/apache/rawopts/all_php5 oluşturmak:
    –with-cURL=/usr/local/src/cURL-7.52.1
  • Apache yeniden & PHP ile EasyApache 3.

Sonuç:

PHP bilgisi artık görünmelidir:
cURL bilgi 7.52.1
SSL sürüm OpenSSL/1.0.1e

Red5 1.0 RC2 geriye dönük uyumluluk

Son red5 sürümleri ( Red5 revizyon > 4326 gibi 1.0 RC2 ) eski uygulamalarda red5 uyumsuz hale değişiklikler getirecek.
Bu uygulamaların çalışması için değişiklikler gerekli.

Güncel VideoWhisper RTMP uygulamaları kullanım için indirilebilir veya numune olarak diğer uygulamaları güncellemek için.

 

Bu Red5 google grubunda kaplıdır:

Revizyon ile 4326 Red5 ile uygulamaları oluşturmak veya çalıştırırken sorunlarla göreceksiniz. Sen içine edeceğiz sorunların çoğu

eksik sınıfları ile vardır; çoğu durumda sadece ekleyebilirsiniz “kapsamı” sizin ithalat veya vadede paket “Ithalatı Optimize” Eclipse. Ben içine çalıştırabilirsiniz birkaç öğeleri dikkate Aşağıda.

 

 
1. IScope bir tür çözülemiyor

– Son ile Güncelleme red5 kavanoz ya da kaynak

– IScope doğru konum org.red5.server.api.scope.IScope olduğunu, Daha önce de olduğu org.red5.server.api.IScope

 
2. Ithalat org.red5.server.api.IScope çözülemez

– Son ile Güncelleme red5 kavanoz ya da kaynak

– IScope doğru konum org.red5.server.api.scope.IScope olduğunu, Daha önce de olduğu org.red5.server.api.IScope

 

 
3. WebScope bulunamaz

– Uygulamalarınız red5-web.xml açın ve değiştirmek “web.scope” için fasulye sınıf

<fasulye id =”web.scope” class =”org.red5.server.scope.WebScope” init-method =”üye ol”>

Bu yerine

<fasulye id =”web.scope” class =”org.red5.server.WebScope” init-method =”üye ol”>

 

 
4. Yöntem imza xxxx eşleşmiyor.

– Bu bir düzeltme bir yineleyici almak ve yerine Collection faydalanmak için beklentiniz değiştirmek için. Kapsam yöntem

Burada gösterildiği gibi kapsamı adlarını almak için artık bir Set döndürür:

 

Kamu Seti<Dize> getScopeNames()

 

 
5. Parametre “tipi” dize eşleşmiyor.

– Kapsamlarda, kendi türü artık bir dize tarafından tespit yerine ScopeType bir enum kullanır. Temel almak için eski yöntem

kapsam isimler şöyle oldu:

 

kamu Iterator<Dize> getBasicScopeNames(String türü)

 

Bu yeni sürümü:

 

Kamu Seti<Dize> getBasicScopeNames(ScopeType tipi)